
From: Giancarlo Formicuccia <giancarlo.formicuccia@gmail.com>

An oversight.  We don't want to carry the IO scheduler's "we hold exclusive fs
resources" hint over to the child across fork().

Acked-by: Jens Axboe <axboe@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 kernel/fork.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN kernel/fork.c~clear-task_struct-fs_excl-on-fork kernel/fork.c
--- devel/kernel/fork.c~clear-task_struct-fs_excl-on-fork	2005-09-08 01:34:28.000000000 -0700
+++ devel-akpm/kernel/fork.c	2005-09-08 01:35:21.000000000 -0700
@@ -177,6 +177,7 @@ static struct task_struct *dup_task_stru
 
 	/* One for us, one for whoever does the "release_task()" (usually parent) */
 	atomic_set(&tsk->usage,2);
+	atomic_set(&tsk->fs_excl, 0);
 	return tsk;
 }
 
_
